<?php
namespace Wordpress\Plugins\CarDealerPress\Inventory\Api;
?>

	<div id="view-Carfax" class="view-wrapper">
		<div class="tr-wrapper">
			<div class="td-full">
				<h4 class="divider">Carfax Snapshot Settings</h4>
			</div>
		</div>
		<div class="tr-wrapper tr-color">
			<?php $value = (isset($this->options['vehicle_management_system']['carfax']['snapshot']['url']) ? $this->options['vehicle_management_system']['carfax']['snapshot']['url']: ''); ?>
			<div class="td-two right"><span class="td-title">Snapshot JS URL</span></div>
			<div class="td-two">
				<input type="text" id="snapshot-url" class="cdp-input" name="vehicle_management_system/carfax/snapshot/url" value="<?php echo rawurldecode(stripslashes($value)); ?>" />
			</div>
		</div>
		<div class="tr-wrapper tr-color">
			<?php $value = (isset($this->options['vehicle_management_system']['carfax']['snapshot']['key']) ? $this->options['vehicle_management_system']['carfax']['snapshot']['key']: ''); ?>
			<div class="td-two right"><span class="td-title">Snapshot Key</span></div>
			<div class="td-two">
				<input type="text" id="snapshot-key" class="cdp-input" name="vehicle_management_system/carfax/snapshot/key" />
			</div>
			<?php
			if( $value ){
				echo '<small style="color: #A4343E; width: 100%; text-align: center; display: block; font-weight: bold">Snapshot Key has already been entered.</small>';
			}
			?>
			<div class="tr-wrapper tr-color">
				<div class="td-full" style="text-align: center; color: #000;">Contact DealerTrend to enable this feature.</div>
			</div>
		</div>
	</div>
