<?php
namespace Wordpress\Plugins\CarDealerPress\Inventory\Api;
?>

	<div id="view-ScriptsWrapper" class="view-wrapper">
		<div class="tr-wrapper">
			<div class="td-full">
				<h4 class="divider">Script Settings</h4>
				<button class="add-row-button" tag="scriptRows">+</button>
			</div>
		</div>
		<div class="tr-wrapper tr-color wrapper">
			<div id="scriptRows" class="inner-table-content">

				<?php
				$rows = get_script_rows( $this->options[ 'vehicle_management_system' ][ 'scripts' ][ 'data' ] );
				echo $rows;
				?>
			</div>
			<div class="ajax-loading-message">Loading Rows...</div>
		</div>
		<div class="tr-wrapper tr-color">
			<div class="td-full center"><span class="td-title">Detail Script Inject:</span><br><small>Inserts - [VIN] and [STOCK]</small><br><small>(Opening and closing script tags need to be included)</small></div>
			<div class="td-full">
				<?php $value = isset($this->options['vehicle_management_system']['scripts']['inject']['detail'])? $this->options['vehicle_management_system']['scripts']['inject']['detail']: ''; ?>
				<textarea type="text" id="detail-script" class="text-inject" name="vehicle_management_system/scripts/inject/detail" ><?php echo rawurldecode(stripslashes($value)); ?></textarea>
				<div class="cdp-post-button-save-wrapper"><div id="cdp-detail-script-save" class="cdp-post-button">Save Detail Script</div></div>
			</div>
		</div>
		<div class="tr-wrapper tr-color">
			<div class="td-full center"><span class="td-title">List Script Inject:</span><br><small>(Opening and closing script tags need to be included)</small></div>
			<div class="td-full">
				<?php $value = isset($this->options['vehicle_management_system']['scripts']['inject']['list'])? $this->options['vehicle_management_system']['scripts']['inject']['list']: ''; ?>
				<textarea type="text" id="list-script" class="text-inject" name="vehicle_management_system/scripts/inject/list" ><?php echo rawurldecode(stripslashes($value)); ?></textarea>
				<div class="cdp-post-button-save-wrapper"><div id="cdp-list-script-save" class="cdp-post-button">Save List Script</div></div>
			</div>
		</div>
		<?php
			if( class_exists('cdp_theme_extender') ){
		?>
			<div class="tr-wrapper tr-color">
				<div class="td-full center"><span class="td-title">List Script Ajax Inject:</span><br><small>(Opening and closing script tags need to be included)</small></div>
				<div class="td-full">
					<?php $value = isset($this->options['vehicle_management_system']['scripts']['inject']['list_ajax'])?  $this->options['vehicle_management_system']['scripts']['inject']['list_ajax']: ''; ?>
					<textarea type="text" id="list-ajax-script" class="text-inject" name="vehicle_management_system/scripts/inject/list_ajax" ><?php echo rawurldecode(stripslashes($value)); ?></textarea>
					<div class="cdp-post-button-save-wrapper"><div id="cdp-list-ajax-script-save" class="cdp-post-button">Save List Ajax Script</div></div>
				</div>
			</div>
		<?php
			}
		?>
	</div>