<?php
namespace Wordpress\Plugins\CarDealerPress\Inventory\Api;
?>

	<div id="view-FormWrapper" class="view-wrapper">
		<div class="tr-wrapper">
			<div class="td-full">
				<h4 class="divider">Style Settings</h4>
				<button class="add-row-button" tag="styleRows">+</button>
			</div>
		</div>
		<div class="tr-wrapper tr-color wrapper">
			<div id="styleRows" class="inner-table-content">

				<?php
				$rows = get_style_rows( $this->options[ 'vehicle_management_system' ][ 'styles' ][ 'data' ] );
				echo $rows;
				?>
			</div>
			<div class="ajax-loading-message">Loading Rows...</div>
		</div>
		<div class="tr-wrapper tr-color">
			<div class="td-full center"><span class="td-title">Style Inject:</span><br><small>(Style elements not neeeded. Loaded on both List and Detail)</small></div>
			<div class="td-full">
				<?php $value = isset($this->options['vehicle_management_system']['styles']['inject'])? $this->options['vehicle_management_system']['styles']['inject']: ''; ?>
				<textarea type="text" id="style-inject" class="text-inject" name="vehicle_management_system/styles/inject" ><?php echo urldecode(stripslashes($value)); ?></textarea>
				<div class="cdp-post-button-save-wrapper"><div id="cdp-style-save" class="cdp-post-button">Save Style</div></div>
			</div>
		</div>
	</div>